### Home Classes Methods

### In Files

- lib/terminal-table/separator.rb

### Parent

Row

### Methods

- #render

### Files

- README.rdoc

### Class/Module Index

Quicksearch

- Terminal
- Terminal::Table
- Terminal::Table::Cell
- Terminal::Table::Row
- Terminal::Table::Separator
- Terminal::Table::Style
- Terminal::Table::TableHelper
- Object
- String

No matching classes.

# Terminal::Table::Separator

### Public Instance Methods

render() click to toggle source

    # File lib/terminal-table/separator.rb, line 5
    def render
      arr_x = (0...@table.number_of_columns).to_a.map do |i|
        @table.style.border_x * (@table.column_width(i) + @table.cell_padding)
      end
      border_i = @table.style.border_i
      border_i + arr_x.join(border_i) + border_i
    end

[Validate]

Generated with the Darkfish Rdoc Generator 2.